---
title: Map Place Details
slug: valueserp/search-api/searches/google/map-place-details
docTags: 
createdAt: 2024-08-03T11:00:15.050Z
---

# Google Map Place Details Parameters

<font color="#52c41a">`GET`</font>  `/search?search_type=map_place_details`

The Google Map Place Details Parameters apply when making a request with  `search_type=map_place_details` to retrieve information about a specific place on maps. The place is identified using the  `data_id`  parameter,  which can be obtained from the results of `search_type=places`  request. [Places requests](https://docs.trajectdata.com/valueserp/search-api/searches/google/places).



![](https://api.archbee.com/api/optimize/_2H-bV01Fa8fCx9qd5d88/-jG_lnGCUJD0uoe38SCg__image.png)

For example, to request map place detail results for a Place on Map with  `data_id=0x89c259cea3b62d4d:0x4519bf551f37923f` , the request would be:

:::CodeblockTabs
HTTP

```HTTP
https://api.valueserp.com/live/search?api_key=demo&search_type=map_place_details&data_id=0x89c259cea3b62d4d:0x4519bf551f37923f
```

```curl
curl -L --get https://api.valueserp.com/search \
-d api_key="demo" \
-d search_type="place_details" \
-d data_id="0x87b7122bd8e99a89:0xf20c18461109b2c0"
```

```nodejs
const axios = require('axios');

// set up the request parameters
const params = {
  api_key: "demo",
  search_type: "place_details",
  data_id: "0x87b7122bd8e99a89:0xf20c18461109b2c0"
}

// make the http GET request
axios.get('https://api.valueserp.com"/search', { params })
  .then(response => {

    // print the JSON response
    console.log(JSON.stringify(response.data, 0, 2));

  }).catch(error => {
    // catch and print the error
    console.log(error);
  })
```

```python
import requests
import json

# set up the request parameters
params = {
  'api_key': 'demo',
  'search_type': 'place_details',
  'data_id': '0x87b7122bd8e99a89:0xf20c18461109b2c0'
}

# make the http GET request
api_result = requests.get('https://api.valueserp.com/search', params)

# print the JSON response
print(json.dumps(api_result.json()))
```

```php
<?php
      
# set up the request parameters
$queryString = http_build_query([
  'api_key' => 'demo',
  'search_type' => 'place_details',
  'data_id' => '0x87b7122bd8e99a89:0xf20c18461109b2c0'
]);

# make the http GET request
$ch = curl_init(sprintf('%s?%s', 'https://api.valueserp.com/search', $queryString));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
# the following options are required if you're using an outdated OpenSSL version
# more details: https://www.openssl.org/blog/blog/2021/09/13/LetsEncryptRootCertExpire/
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_TIMEOUT, 180);

$api_result = curl_exec($ch);
curl_close($ch);

# print the JSON response
echo $api_result;

?>
```
:::

***

### Google Map Place Details Parameters

The following parameters are available for all requests made when  `search_type=map_place_details` .

| *`Parameter`*   | *`Required`*        | *`Description`*                                                                                                                                                                                                               |
| --------------- | ------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| *`search_type`* | <u>*`required`*</u> | Should be set to `search_type=map_place_details` .                                                                                                                                                                            |
| *`data_id`*     | <u>*`required`*</u> | The `data_id` of the Place on Maps to retrieve map place details for. `data_id` values are returned in [Places requests ](https://docs.trajectdata.com/scaleserp/search-api/searches/google/places).                          |
| *`hl`*          | *`optional`*        | The `hl` parameter determines the Google UI language to return results. View the full list of supported `hl` values [here ](https://docs.trajectdata.com/valueserp/search-api/reference/google-languages). Defaults to `en` . |

***

**Next Steps**
     [Google Map Place Details Results](https://docs.trajectdata.com/valueserp/search-api/results/google/map-place-details)
